Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.support
Class CollectionType

    java.lang.Object
      org.springframework.core.enums.AbstractLabeledEnum
          org.springframework.core.enums.StaticLabeledEnum
              org.eclipse.gemini.blueprint.service.importer.support.CollectionType

All Implemented Interfaces:
  Serializable, Comparable, org.springframework.core.enums.LabeledEnum

    public class CollectionType

extends org.springframework.core.enums.StaticLabeledEnum

Enumeration-like class which indicates the supported Spring DM managed OSGi service collection types. This class is used mainly for configuration purposes (such as parsing the OSGi namespace).

Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary
`static CollectionType` | `LIST` Spring-managed list.
`static CollectionType` | `SET` Spring-managed set.
`static CollectionType` | `SORTED_LIST` Spring-managed sorted list.
`static CollectionType` | `SORTED_SET` Spring-managed sorted Set.

Fields inherited from interface org.springframework.core.enums.LabeledEnum
`CODE_ORDER, DEFAULT_ORDER, LABEL_ORDER`

Method Summary
`Class<?>` | `getCollectionClass()` Returns the actual collection class used underneath.

Methods inherited from class org.springframework.core.enums.StaticLabeledEnum
`getCode, getLabel, readResolve, shortValue`

Methods inherited from class org.springframework.core.enums.AbstractLabeledEnum
`compareTo, equals, getType, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### LIST

    public static final CollectionType LIST

  Spring-managed list. The returned collection with implement the `List` interface.

  See Also:
    `List`

### SET

    public static final CollectionType SET

  Spring-managed set. The returned collection with implement the `Set` interface.

  See Also:
    `Set`

### SORTED_LIST

    public static final CollectionType SORTED_LIST

  Spring-managed sorted list. The returned collection with implement the `List` interface.

  See Also:
    `Comparable`, `Comparator`, `List`, `SortedSet`

### SORTED_SET

    public static final CollectionType SORTED_SET

  Spring-managed sorted Set. The returned collection with implement the `SortedSet` interface.

  See Also:
    `Comparable`, `Comparator`, `SortedSet`

Method Detail

### getCollectionClass

    public Class<?> getCollectionClass()

  Returns the actual collection class used underneath.

  Returns:
    collection class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.